%define upstream_name	 File-RsyncP
%define upstream_version 0.70

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Perl Rsync client
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl-devel


%description
File::RsyncP is a perl implementation of an Rsync client. It is compatible
with Rsync 2.5.5 (protocol version 26). It can send or receive files, either
by running rsync on the remote machine, or connecting to an rsyncd daemon on
the remote machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE='%{optflags}'
make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-4.mga3
+ Revision: 367356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.700.0-3.mga3
+ Revision: 250637
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.700.0-2.mga2
+ Revision: 104275
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.700.0-1.mga1
+ Revision: 30386
- mageia rebuild
- imported package perl-File-RsyncP

